Subject: Re: [hybi] -09: sending, closing, errors, extensions

From: Alexey Melnikov <[email-masked]>
Date: Thu, 07 Jul 2011 21:54:03 +0100

Peter Saint-Andre wrote:

>More comments...
>
>Section 6.1 states:
>
>   5.  If the data is being sent by the client, the frame(s) MUST be
>       masked as defined in Section 4.3.
>
>Section 6.2 states:
>
>   Data frames received by a server from a client MUST be unmasked as
>   described in Section 4.3.
>
>The word "unmasked" makes it sound like this contradicts the text in
>Section 6.1 -- as in, "must not be masked" as opposed to "the server
>shall remove the masking applied by the client".
>
Changed. I've read "unmask" as "remove masking", but I see why this can 
be confusing.

>In Section 7, the text about the close /reason/ makes it sound as if an
>application might choose to show UTF-8 encoded data to an end user. That
>might lead the reader to think that language tagging might be necessary.
>Is it?
>
I think I've complained about this privately as well :-)

>In Section 8.2, there is no deterministic server behavior upon receiving
>data that is not valid UTF-8. Why? What use cases would motivate
>accepting such data instead of just closing the connection?
>
>Section 9.1 says:
>
>   Any extension-token used MUST either be a registered token
>   (registration TBD), or have a prefix of "x-" to indicate a private-
>   use token.
>
>It's probably not a good idea to have "registration TBD" in a document
>that is going for IETF Last Call. :) Presumably a forward pointer to
>Section 11.6 would suffice.
>
Fixed.

>Do we really want to encourage use of "x-"? See here for relevant
>considerations (I plan to submit an updated version soon):
>
>http://tools.ietf.org/id/draft-saintandre-xdash-considered-harmful-01.txt
>